cvs_id = "$Id: error.py,v 1.4 2003/07/24 17:24:37 juri Exp $"

import sys
import traceback

stream = sys.stderr

def log(*args):
    caller = traceback.extract_stack()[-2]
    stream.write("%s:%d:%s: " % (caller[0], caller[1], caller[2]))
    for a in args:
        if type(a) is not type(''):
            a = repr(a)
        stream.write(a)
    stream.write("\n")

def logtb(*args):
    log(*args)
    l = traceback.format_list(traceback.extract_stack()[:-1])
    for e in l:
        stream.write(e)

    
